##
##  njmc.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         njmc
Summary:      New Jersey Machine-Code Toolkit
URL:          http://www.eecs.harvard.edu/~nr/toolkit/
Vendor:       M. Fernndez & N. Ramsey
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Compiler
License:      GPL
Version:      0.5
Release:      20080101

#   list of sources
Source0:      http://www.eecs.harvard.edu/~nr/toolkit/base.tar.gz
Source1:      http://www.eecs.harvard.edu/~nr/toolkit/base-specs.tar.gz
Patch0:       njmc.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130, icon
PreReq:       OpenPKG, openpkg >= 20040130, icon
AutoReq:      no
AutoReqProv:  no

%description
    The New Jersey Machine-Code Toolkit helps programmers write
    applications that process machine code -- -assemblers,
    disassemblers, code generators, tracers, profilers, and debuggers.
    The toolkit lets programmers encode and decode machine instructions
    symbolically. Encoding and decoding are automated based on compact
    specifications.

%track
    prog njmc = {
        disabled
        comment   = "rse: non-versioned distribution file only, but has not changed for years now"
        version   = %{version}
        url       = http://www.eecs.harvard.edu/~nr/toolkit/
        regex     = base\.tar\.gz
    }

%prep
    %setup -q -c
    %setup -q -T -D -a 1
    %patch -p0

%build
    cd base
    %{l_prefix}/bin/icont tools.icn
    %{l_cc} %{l_cflags -O} -I. -c mclib.c
    ar cr libnjmc.a mclib.o

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib \
        $RPM_BUILD_ROOT%{l_prefix}/share/njmc
    %{l_shtool} install -c -m 755 \
        base/tools $RPM_BUILD_ROOT%{l_prefix}/bin/njmc
    %{l_shtool} install -c -m 755 \
        base/libnjmc.a $RPM_BUILD_ROOT%{l_prefix}/lib/
    %{l_shtool} install -c -m 644 \
        base/refman.ps $RPM_BUILD_ROOT%{l_prefix}/share/njmc/
    %{l_shtool} install -c -m 644 \
        base-specs/* $RPM_BUILD_ROOT%{l_prefix}/share/njmc/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

